# RSL_cappi_to_carpi

### Synopsis

#include "rsl.h"
Carpi *RSL_cappi_to_carpi(Cappi *cappi, float dx, float dy, float lat, float lon, int nx, int ny, int radar_x, int radar _y);

###

Description

Produce a Constant Altitude Rectangular from Polar Image at h out to the maximum ground range grnd_range. h and grnd_range are expressed in km. The dimensions of the Carpi are given by nx and ny. radar_x and radar_y are the location of the radar within the Carpi structure (the rectangular grid). lat and lon represent the lower left corner (SE) of the rectangular grid. The routine allocates space for the resulting Carpi.

### Return value

Upon successful completion, a pointer to the appropriate structure is returned. Otherwise, a NULL pointer is returned and errno is set.

### See also

RSL_free_cappi, RSL_volume_to_carpi, Carpi, Cappi, RSL_new_cappi.

Author: Mike Kolander